メトリクス
特定のメトリックデータを監視して、アセットのパフォーマンスをほぼリアルタイムで測定します。ストリーミングネットワークデータには、次のメトリックが含まれます。
-
ポート帯域幅使用メトリクスは、ポートが送信(tx)または受信(rx)したデータのビット/秒(bit/s)出力を提供します。
-
接続帯域幅は、クラウド・ルーターとポート間、クラウド・ルーターとクラウド・サービス・プロバイダー間の、ポートをa側とする接続で送信(tx)または受信(rx)されるデータのビット/秒(bit/s)出力を提供します。
-
都市圏レイテンシメトリクスは、単一のサブスクライブメトロコードから他の都市圏へのレイテンシと、すべての都市圏ペア間のレイテンシをミリ秒単位で提供します。
-
ポート・エラーおよびドロッピング・メトリクスは、パケット・フォーマット、伝送エラー、またはポートがパケットを受け入れる帯域幅を持たない場合に発生する、特定のポートでのパケット廃棄数を提供します。
-
Connection Packet Dropped Metricsは、送信データ(tx)または受信データ(rx)の両方で、帯域幅の制限を超えたために接続でドロップされたパケット数を提供します。接続のポートサイドでのみ使用可能です。
各アセットのサポートされているメトリクスのリファレンスを参照してください。
メトリクスの表示
カスタマーポータルで個々のポートまたは仮想接続のメトリクスを表示できます。使用状況とパケットドロップメトリクスを使用できます。
-
[カスタマーポータル]>[ファブリックダッシュボード]にサインインします。
-
_ポートインベントリ_または_接続インベントリ_に移動します。
-
ポートまたは仮想接続を選択します。

APIからのメトリクス表示
Equinix APIから個々のアセットのメトリクスを取得できます。
メトロ間遅延
2つの都市圏間のレイテンシを表示するには、次のようにエンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信します。GET
assetはmetrosasset_id2文字の都市圏コード- リクエストのクエリパラメータとしてを指定します。
name=equinix.fabric.metro.<origin_metro_code>_<destination_metro_code>.latency
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/metros/SV/metrics?name=equinix.fabric.metro.sv_am.latency' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 3,
"next": null,
"previous": null
},
"data": [
{
"type": "GAUGE",
"name": "equinix.fabric.metro.sv_am.latency",
"unit": "ms",
"resource": {
"href": "https://uatapi.equinix.com/fabric/v4/metros/SV",
"type": "XF_METRO",
"description": "Silicon Valley to Amsterdam intermetro latency, average in milliseconds"
},
"summary": {
"mean": 136.9,
"max": 137
},
"datapoints": [
{
"endDateTime": "2025-06-05T18:50:03Z",
"value": 137
},
{
"endDateTime": "2025-06-05T18:55:03Z",
"value": 137
},
{
"endDateTime": "2025-06-05T19:00:03Z",
"value": 137
},
{
"endDateTime": "2025-06-05T19:05:03Z",
"value": 137
}
]
}
]
}
すべての都市圏ペア間のリアルタイムのレイテンシを表示するには、エンドポイントにリクエストを/fabric/v4/metrics送信します。GETクエリパラメータで、以下を指定します。
name=equinix.fabric.metro.*.latencyおよび。value=last- 必要に応じて、結果から返すメトリックタイプの数を指定するパラメータを含めます。
limit=<limit> - オプションで、スキップする結果の数を指定するパラメータを含める。
offset=<offset>
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/metrics?value=last&limit=3&name=equinix.fabric.metro.*.latency' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 3,
"total": 4112,
"next": "/metrics?offset=3&limit=3&fromDateTime=2026-01-29T18:05:44.041Z&name=equinix.fabric.metro.*.latency&toDateTime=2026-01-30T18:05:44.041Z"
},
"data": [
{
"type": "GAUGE",
"name": "equinix.fabric.metro.am_at.latency",
"unit": "ms",
"resource": {
"href": "https://api.equinix.com/fabric/v4/metros/AM",
"type": "XF_METRO",
"code": "AM",
"description": "Amsterdam to Atlanta intermetro latency, average in milliseconds"
},
"datapoints": [
{
"endDateTime": "2026-01-30T18:05:00Z",
"value": 94.7
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.metro.am_ba.latency",
"unit": "ms",
"resource": {
"href": "https://api.equinix.com/fabric/v4/metros/AM",
"type": "XF_METRO",
"code": "AM",
"description": "Amsterdam to Barcelona intermetro latency, average in milliseconds"
},
"datapoints": [
{
"endDateTime": "2026-01-30T18:05:00Z",
"value": 28.8
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.metro.am_bg.latency",
"unit": "ms",
"resource": {
"href": "https://api.equinix.com/fabric/v4/metros/AM",
"type": "XF_METRO",
"code": "AM",
"description": "Amsterdam to Bogota intermetro latency, average in milliseconds"
},
"datapoints": [
{
"endDateTime": "2026-01-30T18:05:00Z",
"value": 159
}
]
}
]
}
ポート帯域幅の使用状況
ポートの帯域幅使用量を表示するには、エンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信します。GET
assetはportsasset_idは特定のポートのUUIDです
クエリパラメータ:
- 受信-
equinix.fabric.port.bandwidth_rx.usage - アウトバウンド-
equinix.fabric.port.bandwidth_tx.usage
すべての帯域幅の使用状況を表示するには、リクエストのクエリパラメータとしてを指定します。name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usageおよびで期間を指定します。fromDateTime``toDateTime
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports/<port_id>/metrics?name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 2,
"next": null,
"previous": null
},
"data": [
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_rx.usage",
"unit": "bit/s",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 198.7,
"max": 219
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:20:47.000Z",
"value": 202
},
{
"endDateTime": "2025-05-12T19:25:51.000Z",
"value": 192
},
{
"endDateTime": "2025-05-12T19:30:51.000Z",
"value": 203
},
{
"endDateTime": "2025-05-12T19:35:53.000Z",
"value": 194
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_tx.usage",
"unit": "bit/s",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:20:47.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:25:51.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:30:51.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:35:53.000Z",
"value": 0
}
]
}
]
}
ポートパケット廃棄
ポートからドロップされたパケットの数を表示するには、エンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信します。GET
assetはportsasset_idは特定のポートのUUIDです
クエリパラメータ:
- 受信-
equinix.fabric.port.packets_dropped_rx.count - アウトバウンド-
equinix.fabric.port.packets_dropped_tx.count
ドロップされたすべてのパケットの数を取得するには、リクエストのクエリパラメータとしてを指定します。name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.countおよびで期間を指定します。fromDateTime``toDateTime
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports/<portId>/metrics?name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 2,
"next": null,
"previous": null
},
"data": [
{
"type": "SUM",
"name": "equinix.fabric.port.packets_dropped_rx.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 0,
"max": 0
}
},
{
"type": "SUM",
"name": "equinix.fabric.port.packets_dropped_tx.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 0,
"max": 0
}
}
]
}
ポートパケットエラー
ポートのパケットエラーを表示するには、エンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信しますGET
assetはportsasset_idは特定のポートのUUIDです
クエリパラメータ:
- 受信-
equinix.fabric.port.packets_erred_rx.count - アウトバウンド-
equinix.fabric.port.packets_erred_tx.count
すべてのパケットエラーの数を取得するには、リクエストのクエリパラメータとしてを指定します。name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.countおよびで期間を指定します。fromDateTime``toDateTime
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports/<portId>/metrics?name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 2,
"next": null,
"previous": null
},
"data": [
{
"type": "SUM",
"name": "equinix.fabric.port.packets_erred_rx.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 0,
"max": 0
}
},
{
"type": "SUM",
"name": "equinix.fabric.port.packets_erred_tx.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/<portId>",
"type": "XF_PORT",
"uuid": "<portId>",
"state": "PROVISIONED",
"name": "TEST-PORT-NAME"
},
"summary": {
"mean": 0,
"max": 0
}
}
]
}
接続帯域幅の使用状況
接続の帯域幅使用量を表示するには、エンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信します。GET
assetはconnectionsasset_idは特定の接続のUUIDです
クエリパラメータ:
- 受信-
equinix.fabric.connection.bandwidth_rx.usage - アウトバウンド-
equinix.fabric.connection.bandwidth_tx.usage
すべての帯域幅の使用状況を表示するには、リクエストのクエリパラメータとしてを指定します。name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usageおよびで期間を指定します。fromDateTime``toDateTime
サンプルcURLリクエスト:
curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections/<connectionId>/metrics?name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 2,
"next": null,
"previous": null
},
"data": [
{
"type": "GAUGE",
"name": "equinix.fabric.connection.bandwidth_rx.usage",
"unit": "bit/s",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:22:48.000Z",
"value": 202
},
{
"endDateTime": "2025-05-12T19:27:50.000Z",
"value": 192
},
{
"endDateTime": "2025-05-12T19:31:51.000Z",
"value": 203
},
{
"endDateTime": "2025-05-12T19:37:45.000Z",
"value": 194
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.connection.bandwidth_tx.usage",
"unit": "bit/s",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:22:48.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:27:50.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:31:51.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:37:45.000Z",
"value": 0
}
]
}
]
}
接続パケット数
接続からドロップされたパケットを表示するには、エンドポイントにリクエストを/fabric/v4/<asset>/<asset_id>/metrics送信します。GET
assetはconnectionsasset_idは特定の接続のUUIDです
メトリックは、接続の A サイド、Z サイド、インバウンド、およびアウトバウンドについて利用できます。
クエリパラメータ:
- インバウンドAサイド-
equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count - 送信Aサイド-
equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count - 受信zサイド-
equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count - 送信zサイド-
equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count
接続でドロップされたパケットをすべて表示するには、リクエストのクエリパラメータとしてを指定します。name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.countおよびで期間を指定します。fromDateTime``toDateTime
curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections/<connectionId>/metrics?name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
回答例
{
"pagination": {
"offset": 0,
"limit": 10,
"total": 2,
"next": null,
"previous": null
},
"data": [
{
"type": "SUM",
"name": "equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:28:59.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:34:01.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:36:16.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:42:12.000Z",
"value": 0
}
]
},
{
"type": "SUM",
"name": "equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:28:59.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:34:01.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:36:16.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:42:12.000Z",
"value": 0
}
]
},
{
"type": "SUM",
"name": "equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:28:59.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:34:01.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:36:16.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:42:12.000Z",
"value": 0
}
]
},
{
"type": "SUM",
"name": "equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count",
"unit": "packet",
"resource": {
"href": "https://api.equinix.com/fabric/v4/connections/<connectionId>",
"type": "EVPL_VC",
"uuid": "<connectionId>",
"state": "PROVISIONED",
"name": "TEST-CONNECTION-NAME"
},
"summary": {
"mean": 0,
"max": 0
},
"datapoints": [
{
"endDateTime": "2025-05-12T19:28:59.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:34:01.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:36:16.000Z",
"value": 0
},
{
"endDateTime": "2025-05-12T19:42:12.000Z",
"value": 0
}
]
}
]
}
メトリックアラートの作成
ストリームアラートルール管理APIを使用して、メトリクスが定義されたしきい値を超えたときにイベントを作成します。詳細については、「メトリックアラートルールの管理」を参照してください。
シンク統合でのメトリクス受信
ストリームを作成し、そのストリームにアセットを追加したら、サブスクリプションを作成して、選択したサードパーティのデータコレクタにメトリクスを送信できます。メトリクスは5分間隔で送信されます。